Freeciv-3.1: objprop Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
objprop Struct Reference

## Data Fields

int | id
const char * | name
const char * | tooltip
enum object_property_flags | flags
enum value_types | valtype
int | column_id
GtkTreeViewColumn * | view_column
GtkWidget * | widget
struct extviewer * | extviewer
struct property_page * | parent_page

## Detailed Description

Definition at line 388 of file editprop.c.

## Field Documentation

## ◆ column_id

int objprop::column_id

Definition at line 394 of file editprop.c.

Referenced by objprop_get_column_id(), objprop_new(), and objprop_set_column_id().

## ◆ extviewer

struct extviewer * objprop::extviewer

Definition at line 397 of file editprop.c.

Referenced by objprop_get_extviewer(), and objprop_set_extviewer().

## ◆ flags

enum object_property_flags objprop::flags

Definition at line 392 of file editprop.c.

Referenced by objprop_has_widget(), objprop_is_readonly(), objprop_new(), and objprop_show_in_listview().

## ◆ id

int objprop::id

Definition at line 389 of file editprop.c.

Referenced by objprop_get_id(), and objprop_new().

## ◆ name

const char * objprop::name

Definition at line 390 of file editprop.c.

Referenced by objprop_get_name(), and objprop_new().

## ◆ parent_page

struct property_page * objprop::parent_page

Definition at line 398 of file editprop.c.

Referenced by objprop_get_property_page(), and objprop_new().

## ◆ tooltip

const char * objprop::tooltip

Definition at line 391 of file editprop.c.

Referenced by objprop_get_tooltip(), and objprop_new().

## ◆ valtype

enum value_types objprop::valtype

Definition at line 393 of file editprop.c.

Referenced by objprop_get_gtype(), objprop_get_valtype(), and objprop_new().

## ◆ view_column

GtkTreeViewColumn * objprop::view_column

Definition at line 395 of file editprop.c.

Referenced by objprop_get_treeview_column(), and objprop_set_treeview_column().

## ◆ widget

GtkWidget * objprop::widget

Definition at line 396 of file editprop.c.

Referenced by objprop_get_widget(), and objprop_setup_widget().